#include "MenuTextPagePrev_Player2Joystick.h"

InputSetting_Joystick* MenuTextPagePrev_Player2Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Joystick ? gameFunc->GetInputSetting_Player2Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextPagePrev_Player2Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_pagePrev;
}

std::weak_ptr<Entity> MenuTextPagePrev_Player2Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player2(entityRes);
}

std::shared_ptr<Entity> CreateMenuTextPagePrev_Player2Joystick()
{
	return std::make_shared<MenuTextPagePrev_Player2Joystick>();
}


